octave-bug(1)

NAME
octave-bug - report a bug in GNU Octave

SYNOPSIS
octave-bug [-s subject]

DESCRIPTION
octave-bug is a shell script to help the user compose and mail bug reports concerning Octave in a standard format. octave-bug is typically invoked by the Octave command bug_report which is intended to be called interactively from within Octave. This provides the best way to submit a bug report for Octave. It creates a template bug report file and starts an editor on that file. The bug report will be sent to the bug-octave mailing list once the editing has been completed (this assumes of course that your system can use email). However, the user could also call octave-bug outside of Octave.

Please read the `Bugs' chapter in the Octave manual to find out how to submit a bug report that will enable the Octave maintainers to fix the problem. If you are unable to use the bug_report command, send your message to the bug-octave mailing list, bug@octave.org.

OPTIONS

-s subject
    Specify a subject line for the bug report. Spaces in the subject must be quoted.

ENVIRONMENT VARIABLES
octave-bug uses the environment variables USER, EDITOR, and PAGER which can be used for customization.

VERSION
This document was last revised for Octave version 2.0.16.

SEE ALSO
octave(1), bashbug(1)

AUTHOR
John W. Eaton
<jwe@octave.org>